For the complete documentation index, see llms.txt. This page is also available as Markdown.

Check permissions

Has Permission Endpoint

get

Endpoint to check if a user has permissions to act on resources.

Args: user_id: ID of the user for which to check the permissions. action: The action the user wants to perform on the resources. resources: The resources the user wants to perform the action on. organization_id: Organization ID for deployment-scoped Resource Managers. auth_context: The authentication context. rbac: RBAC component. workspace_manager: Workspace manager.

Returns: A dictionary mapping resources to a boolean which indicates whether the user has permissions to perform the action on that resource.

Authorizations
OAuth2clientCredentialsRequired
Token URL:

OAuth2authorizationCodeRequired
Authorization URL: Token URL: Refresh URL:
Query parameters
user_idstring · uuidRequired
actionstringRequired
resourcesstring[]Optional
organization_idstring · uuid · nullableOptional
Responses
200

Successful Response

application/json
Other propertiesbooleanOptional
get/rbac/check_permissions
GET /rbac/check_permissions?user_id=123e4567-e89b-12d3-a456-426614174000&action=text HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": true
}
ZenML Scarf

Last updated

Was this helpful?